Debian Bug report logs - #130805
fdutils 5.3-3.6 crashed my laptop in postinst

version graph

Package: fdutils; Maintainer for fdutils is Matteo Cypriani <mcy@lm7.fr>; Source for fdutils is src:fdutils.

Reported by: "Carl R. Witty" <cwitty@newtonlabs.com>

Date: Fri, 25 Jan 2002 18:18:02 UTC

Severity: important

Tags: help

Found in version 5.3-3

Done: Jochen Voss <voss@mathematik.uni-kl.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jochen Voss <voss@debian.org>, fdutils@packages.qa.debian.org:
Bug#130805; Package fdutils. Full text and rfc822 format available.

Acknowledgement sent to "Carl R. Witty" <cwitty@newtonlabs.com>:
New Bug report received and forwarded. Copy sent to Jochen Voss <voss@debian.org>, fdutils@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Carl R. Witty" <cwitty@newtonlabs.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fdutils 5.3-3.6 crashed my laptop in postinst
Date: Fri, 25 Jan 2002 10:03:29 -0800
Package: fdutils
Version: 5.3-3
Severity: critical

Ignore the automatically generated version information in this message.
I am reporting the bug from my desktop machine, but it actually
occurred on my laptop.

When I upgraded fdutils on my laptop, I saw the following:
Setting up fdutils (5.3-3.6) ...
Keeping old fdmount setuid root settings.  Please note that
you can run '/usr/sbin/fdutilsconfig' to change them.
 Running "/usr/sbin/MAKEFLOPPIES -g" ...

After this, the laptop crashed hard; networking no longer worked, and
neither did Ctrl-Alt-Del.

I have not yet checked whether the bug is reproducible.

My laptop is a Sony Vaio.  It does not have a floppy drive (it uses a
USB floppy, but the drive was not attached, and has not been for
months).

Sometime this weekend I will try rerunning the postinst from the console,
so I can see kernel messages; if I learn anything interesting I will
report it.  Let me know if you want more information.

-- System Information
Debian Release: 2.2
Architecture: i386
Kernel: Linux gemini 2.4.7 #1 SMP Fri Aug 10 18:02:47 PDT 2001 i686

Versions of packages fdutils depends on:
ii  debianutils                   1.13.3     Miscellaneous utilities specific t
ii  libc6                         2.1.3-19   GNU C Library: Shared libraries an
ii  makedev                       2.3.1-53   Creates special device files in /d




Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Voss <voss@debian.org>, fdutils@packages.qa.debian.org:
Bug#130805; Package fdutils. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <jvoss2@web.de>:
Extra info received and forwarded to list. Copy sent to Jochen Voss <voss@debian.org>, fdutils@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 130805@bugs.debian.org (full text, mbox):

From: Jochen Voss <jvoss2@web.de>
To: "Carl R. Witty" <cwitty@newtonlabs.com>, 130805@bugs.debian.org
Subject: Re: Bug#130805: fdutils 5.3-3.6 crashed my laptop in postinst
Date: Fri, 25 Jan 2002 19:52:19 +0100
[Message part 1 (text/plain, inline)]
Hello Carl,

[Note: I took over fdutils only 2 days ago.
Release 5.3-3.6 was not prepared by me, so
I may miss some information.]

On Fri, Jan 25, 2002 at 10:03:29AM -0800, Carl R. Witty wrote:
> When I upgraded fdutils on my laptop, I saw the following:
> Setting up fdutils (5.3-3.6) ...
> Keeping old fdmount setuid root settings.  Please note that
> you can run '/usr/sbin/fdutilsconfig' to change them.
>  Running "/usr/sbin/MAKEFLOPPIES -g" ...
> 
> After this, the laptop crashed hard; networking no longer worked, and
> neither did Ctrl-Alt-Del.
Sorry about this.  I see that it would have been
annoying.

The problem should be fixed by now: I uploaded a
new revision (5.3-4) to unstable, which uses
MAKEDEV instead of the broken MAKEFLOPPIES.

I need feedback about this, because it is not yet
thoroughly tested.  If you like to, you could try
the new revision , and tell me if it works for you.

Thank you,
Jochen
-- 
                                         Omm
                                      (0)-(0)
http://www.mathematik.uni-kl.de/~wwwstoch/voss/privat.html
[Message part 2 (application/pgp-signature, inline)]

Severity set to `important'. Request was from Jochen Voss <voss@mathematik.uni-kl.de> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to "Carl R. Witty" <cwitty@newtonlabs.com>:
Bug#130805. Full text and rfc822 format available.

Message #15 received at 130805-submitter@bugs.debian.org (full text, mbox):

From: Jochen Voss <jvoss2@web.de>
To: 130805-submitter@bugs.debian.org
Subject: Re: Bug#130805: fdutils 5.3-3.6 crashed my laptop in postinst
Date: Sun, 27 Jan 2002 10:17:07 +0100
[Message part 1 (text/plain, inline)]
Hello Carl,

I am confident that the crash will no longe occur
for you with newer verrsion of fdutils (which are
in unstable now).

These newer versions do not longer call MAKEFLOPPIES
in the postinst.  Because MAKEFLOPPIES itself is not
fixed, I do not close this bug.  Instead I changed
the severity to "important", which is no release
critical.

Is this ok?

Jochen
-- 
                                         Omm
                                      (0)-(0)
http://www.mathematik.uni-kl.de/~wwwstoch/voss/privat.html
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Voss <voss@debian.org>, fdutils@packages.qa.debian.org:
Bug#130805; Package fdutils. Full text and rfc822 format available.

Acknowledgement sent to cwitty@newtonlabs.com (Carl R. Witty):
Extra info received and forwarded to list. Copy sent to Jochen Voss <voss@debian.org>, fdutils@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 130805@bugs.debian.org (full text, mbox):

From: cwitty@newtonlabs.com (Carl R. Witty)
To: Jochen Voss <jvoss2@web.de>
Cc: "Carl R. Witty" <cwitty@newtonlabs.com>, 130805@bugs.debian.org
Subject: Re: Bug#130805: fdutils 5.3-3.6 crashed my laptop in postinst
Date: 08 Feb 2002 17:21:12 -0800
Jochen Voss <jvoss2@web.de> writes:

> I need feedback about this, because it is not yet
> thoroughly tested.  If you like to, you could try
> the new revision , and tell me if it works for you.

The new version didn't crash my machine, so it's better in that
sense.  (I haven't tried actually hooking up my USB floppy drive to
make sure it works.)

Carl



Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Voss <voss@debian.org>, fdutils@packages.qa.debian.org:
Bug#130805; Package fdutils. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <jvoss2@web.de>:
Extra info received and forwarded to list. Copy sent to Jochen Voss <voss@debian.org>, fdutils@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 130805@bugs.debian.org (full text, mbox):

From: Jochen Voss <jvoss2@web.de>
To: "Carl R. Witty" <cwitty@newtonlabs.com>
Cc: 130805@bugs.debian.org
Subject: Re: Bug#130805: fdutils 5.3-3.6 crashed my laptop in postinst
Date: Sat, 9 Feb 2002 10:36:49 +0100
[Message part 1 (text/plain, inline)]
Hello Carl,

On Fri, Feb 08, 2002 at 05:21:12PM -0800, Carl R. Witty wrote:
> The new version didn't crash my machine, so it's better in that
> sense.  (I haven't tried actually hooking up my USB floppy drive to
> make sure it works.)

Thank you very much for your feed-back.
I think the current state of the problem is as follows:
fdutils does no longer call MAKEFLOPPIES in the postinst.
So the problem is "hidden".  But I did not try to fix
MAKEFLOPPIES untils now.  So the problem will be still
there.

I want to report the problem upstream.  Could you try
whether the problem is reproducible with the attached
MAKEFLOPPIES script (from fdutils-5.4-20020204)?  In the
postinst it was called as "MAKEFLOPPIES -g".  The changes
are only minimal, so I guess the problem is still there.

And from your original bug report I see, that your kernel
version is 2.4.7.  Could you try a more recent kernel
version?

This would help a lot,
Jochen
-- 
                                         Omm
                                      (0)-(0)
http://www.mathematik.uni-kl.de/~wwwstoch/voss/privat.html
[MAKEFLOPPIES (text/plain, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Message sent on to "Carl R. Witty" <cwitty@newtonlabs.com>:
Bug#130805. Full text and rfc822 format available.

Message #28 received at 130805-submitter@bugs.debian.org (full text, mbox):

From: Jochen Voss <voss@mathematik.uni-kl.de>
To: 130805-submitter@bugs.debian.org
Subject: Re: fdutils 5.3-3.6 crashed my laptop in postinst
Date: Sun, 30 Jun 2002 12:15:01 +0200
[Message part 1 (text/plain, inline)]
Hello Carl,

once upon a time you reported a bug about fdutils
crashing your laptop hard.  Details are at

    http://bugs.debian.org/130805

Because MAKEFLOPPIES works without flaw on my machine,
I cannot do much about this all by myself.  So your
assistence would be of great help.

Do you still see the problem with the current version of
fdutils from unstable (try running "MAKEFLOPPIES -g"
manually) and a current kernel?  Do you have any additional
information?

Jochen
-- 
http://www.mathematik.uni-kl.de/~wwwstoch/voss/
[Message part 2 (application/pgp-signature, inline)]

Tags added: help Request was from Jochen Voss <voss@mathematik.uni-kl.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Voss <voss@debian.org>, fdutils@packages.qa.debian.org:
Bug#130805; Package fdutils. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <jvoss2@web.de>:
Extra info received and forwarded to list. Copy sent to Jochen Voss <voss@debian.org>, fdutils@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 130805@bugs.debian.org (full text, mbox):

From: Jochen Voss <jvoss2@web.de>
To: debian-laptop list <debian-laptop@lists.debian.org>
Cc: 130805@bugs.debian.org
Subject: Need help with bug#130805 (crash on Sony Vaio laptops)
Date: Sat, 14 Sep 2002 14:08:19 +0200
[Message part 1 (text/plain, inline)]
Hello,

I need some help with bug #130805.  The bug submitter's
Sony Vaio laptop crashed on some command.  Details are at

    http://bugs.debian.org/130805

As I do not own such a machine I cannot do much about this.
So my request is: could anybody with a Sony Vaio laptop try
the following:

    1) Install the fdutils package
    2) Remove the floppy drive
    3) Prepare for a possible crash (save all open
       files, execute 'sync', ...)
    4) Run the command "/usr/sbin/MAKEFLOPPIES -g"

Does this crash your laptop?

Your help would be much appreciated,
Jochen
-- 
                                         Omm
                                      (0)-(0)
http://www.mathematik.uni-kl.de/~wwwstoch/voss/privat.html
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Voss <voss@debian.org>, fdutils@packages.qa.debian.org:
Bug#130805; Package fdutils. Full text and rfc822 format available.

Acknowledgement sent to Joe Wreschnig <piman@sacredchao.net>:
Extra info received and forwarded to list. Copy sent to Jochen Voss <voss@debian.org>, fdutils@packages.qa.debian.org. Full text and rfc822 format available.

Message #40 received at 130805@bugs.debian.org (full text, mbox):

From: Joe Wreschnig <piman@sacredchao.net>
To: debian-devel list <debian-devel@lists.debian.org>, 130805@bugs.debian.org
Subject: Re: Need help with bug#130805 (crash on Sony Vaio laptops)
Date: 05 Oct 2002 23:44:00 -0500
[Message part 1 (text/plain, inline)]
On Fri, 2002-10-04 at 15:25, Jochen Voss wrote:
> > >     4) Run the command "/usr/sbin/MAKEFLOPPIES -g"
> > 
> > I don't have a USB floppy drive so I can't test this,
> 
> Actually you can.  The problem occurs when no floppy drive
> is attached.  Do you think the USB hard locks could occur
> nevertheless?  I would be glad if you could try the
> MAKEFLOPPIES call as described above.

With the fdutils from stable (the install went fine, too):

greyskull:/home/piman# /usr/sbin/MAKEFLOPPIES -g
Creating "/dev/fd0", ID=0, Type=4 (1.44M)
Creating "/dev/fd1", ID=1, Type=2 (1.2M_AT)
Drive 2 is not installed or not configured, skipping
Drive 3 is not installed or not configured, skipping
Drive 4 is not installed or not configured, skipping
Drive 5 is not installed or not configured, skipping
Drive 6 is not installed or not configured, skipping
Drive 7 is not installed or not configured, skipping
greyskull:/home/piman# 

Which looks like it worked fine. My kernel is
2.4.19-acpi20020821-memstick, and the memstick patch is totally trivial,
so any difference between this and a stock 2.4.19 kernel's behavior is
1) the ACPI patch, or 2) the laptop hardware.

My particular model is a Sony Vaio GRX570. USB devices I had enabled at
the time were the memory stick and a USB mouse. Sound was playing at the
time, and continued playing without skipping.

It sounds like the same problem I had with IRQs conflicting, which the
ACPI patch fixed. I don't have a kernel handy without ACPI support, so I
can't boot into it to test it there (and I probably wouldn't want to
anyway... I don't like the thought of improperly configured PCI
interrupts on my system).

Oh, one other thing - my kernel complains about IRQ addressing when it
boots up, and says something like "maybe boot with pci=pciirq?" It lies
- that made more thing stop working for me, with or without ACPI
patches. You can try booting with "pci=acpiirq" after you install the
patch, which uses ACPI to do the IRQ allocation if possible (and if not,
it goes back to the default allocation scheme). So, if you listened to
the kernel and you're booting with pci=pciirq, don't. :)

HTH.
-- 
 - Joe Wreschnig <piman@sacredchao.net>  -  http://www.sacredchao.net
  "What I did was justified because I had a policy of my own... It's
   okay to be different, to not conform to society."
                                   -- Chen Kenichi, Iron Chef Chinese
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Voss <voss@debian.org>, fdutils@packages.qa.debian.org:
Bug#130805; Package fdutils. Full text and rfc822 format available.

Acknowledgement sent to Derrell.Lipman@UnwiredUniverse.com:
Extra info received and forwarded to list. Copy sent to Jochen Voss <voss@debian.org>, fdutils@packages.qa.debian.org. Full text and rfc822 format available.

Message #45 received at 130805@bugs.debian.org (full text, mbox):

From: Derrell.Lipman@UnwiredUniverse.com
To: Joe Wreschnig <piman@sacredchao.net>
Cc: debian-devel list <debian-devel@lists.debian.org>, 130805@bugs.debian.org
Subject: Re: Need help with bug#130805 (crash on Sony Vaio laptops)
Date: Sun, 06 Oct 2002 08:39:56 -0400
Joe Wreschnig <piman@sacredchao.net> writes:

> On Fri, 2002-10-04 at 15:25, Jochen Voss wrote:
>> > >     4) Run the command "/usr/sbin/MAKEFLOPPIES -g"
>> > 
>> > I don't have a USB floppy drive so I can't test this,
>> 
>> Actually you can.  The problem occurs when no floppy drive
>> is attached.  Do you think the USB hard locks could occur
>> nevertheless?  I would be glad if you could try the
>> MAKEFLOPPIES call as described above.
>
> With the fdutils from stable (the install went fine, too):
>
> greyskull:/home/piman# /usr/sbin/MAKEFLOPPIES -g
> Creating "/dev/fd0", ID=0, Type=4 (1.44M)
> Creating "/dev/fd1", ID=1, Type=2 (1.2M_AT)
> Drive 2 is not installed or not configured, skipping
> ...

I have a Sony Vaio laptop (running Winblows).  It has problems with the USB
devices on a nearly daily basis.  It stops recognizing that devices are
connected, and the "cure" is to unplug the USB cable for that device, wait
five seconds, and plug it back in.  (I would never recommend this type of
laptop to anyone!  It the worst experience I've ever had with any laptop
computer.)

Anyway, although the system shouldn't crash when one of these devices is
accessed, there's likely a hardware issue involved, and it's not a problem
limited to Linux.

Derrell



Reply sent to Jochen Voss <voss@mathematik.uni-kl.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Carl R. Witty" <cwitty@newtonlabs.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #50 received at 130805-done@bugs.debian.org (full text, mbox):

From: Jochen Voss <voss@mathematik.uni-kl.de>
To: 130805-done@bugs.debian.org
Subject: 130805 seems to be a hardware problem
Date: Fri, 8 Nov 2002 16:27:27 +0100
[Message part 1 (text/plain, inline)]
According to the messages in the bug report log
this issue seems to be a hardware/kernel problem.
So I close this bug for now.

Jochen
-- 
http://www.mathematik.uni-kl.de/~wwwstoch/voss/
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:57:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.